
package jp.gr.java_conf.koto.util;

import java.util.*;

public class CommandLineParameter {
    public char character;
    public String string;
    public String parameter;
    public String message;
    public boolean hidden;
    
    public int hitCount;
    public List arguments;
    List getArguments() {
        if (arguments == null)
            arguments = new LinkedList();
        return arguments;
    }
    
    public CommandLineParameter(char ch, String str, String param, String msg, boolean hidden) {
        this.character = ch;
        this.string = str;
        this.parameter = param;
        this.message = msg;
        this.hidden = hidden;
    }
    
    public CommandLineParameter(char ch, String str, String msg) {
        this(ch, str, null, msg, false);
    }
    public CommandLineParameter(String str, String msg) {
        this('\0', str, null, msg, false);
    }
    public CommandLineParameter(char ch, String str, String msg, boolean hidden) {
        this(ch, str, null, msg, hidden);
    }
    public CommandLineParameter(String str, String msg, boolean hidden) {
        this('\0', str, null, msg, hidden);
    }
    
    public CommandLineParameter(char ch, String str, String param, String msg) {
        this(ch, str, param, msg, false);
    }
    public CommandLineParameter(String str, String param, String msg) {
        this('\0', str, param, msg, false);
    }
    public CommandLineParameter(String str, String param, String msg, boolean hidden) {
        this('\0', str, param, msg, hidden);
    }
    
}

